polybori::CExpGenerator< ExpType > Class Template Reference

`#include <CExpIter.h>`

## Public Types

typedef ExpType | value_type
typedef const value_type & | result_type
typedef value_type::size_type | size_type

## Public Member Functions

| CExpGenerator ()
| Default constructor. More...
template<class SequenceType >
result_type | operator() (const SequenceType &) const
| Return currently stored results. More...
void | resize (size_type nlen)
| Take the first nlen elements of the exponent vector only. More...
void | reserve (size_type nlen)
| Prepare space for nlen elements. More...
size_type | size () const
| Get current size. More...
template<class Iterator >
void | append (Iterator start, Iterator finish)
| Append elements to exponent vector. More...

## Member Typedef Documentation

template<class ExpType >

typedef const value_type& polybori::CExpGenerator< ExpType >::result_type

template<class ExpType >

typedef value_type::size_type polybori::CExpGenerator< ExpType >::size_type

template<class ExpType >

typedef ExpType polybori::CExpGenerator< ExpType >::value_type

## Constructor & Destructor Documentation

template<class ExpType >

polybori::CExpGenerator< ExpType >::CExpGenerator | ( | ) |  |

inline

Default constructor.

## Member Function Documentation

template<class ExpType >
template<class Iterator >

void polybori::CExpGenerator< ExpType >::append | ( | Iterator | start,
|  | Iterator | finish
| ) |  |

inline

Append elements to exponent vector.

template<class ExpType >
template<class SequenceType >

result_type polybori::CExpGenerator< ExpType >::operator() | ( | const SequenceType & | ) |  | const

inline

Return currently stored results.

template<class ExpType >

void polybori::CExpGenerator< ExpType >::reserve | ( | size_type | nlen) |  |

inline

Prepare space for nlen elements.

template<class ExpType >

void polybori::CExpGenerator< ExpType >::resize | ( | size_type | nlen) |  |

inline

Take the first nlen elements of the exponent vector only.

template<class ExpType >

size_type polybori::CExpGenerator< ExpType >::size | ( | ) |  | const

inline

Get current size.

The documentation for this class was generated from the following file:

- CExpIter.h